Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.filters
Class AndFilter

    java.lang.Object
      org.htmlparser.filters.AndFilter

All Implemented Interfaces:
  Serializable, Cloneable, NodeFilter

    public class AndFilter

extends Object
implements NodeFilter

Accepts nodes matching all of its predicate filters (AND operation).

See Also:
  Serialized Form

Field Summary
`protected NodeFilter[]` | `mPredicates` The predicates that are to be and'ed together;

Constructor Summary
`AndFilter()` Creates a new instance of an AndFilter.
`AndFilter(NodeFilter[] predicates)` Creates an AndFilter that accepts nodes acceptable to all given filters.
`AndFilter(NodeFilter left, NodeFilter right)` Creates an AndFilter that accepts nodes acceptable to both filters.

Method Summary
`boolean` | `accept(Node node)` Accept nodes that are acceptable to all of its predicate filters.
`NodeFilter[]` | `getPredicates()` Get the predicates used by this AndFilter.
`void` | `setPredicates(NodeFilter[] predicates)` Set the predicates for this AndFilter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mPredicates

    protected NodeFilter[] mPredicates

  The predicates that are to be and'ed together;

Constructor Detail

### AndFilter

    public AndFilter()

  Creates a new instance of an AndFilter. With no predicates, this would always answer `true` to `accept(org.htmlparser.Node)`.

  See Also:
    `setPredicates(org.htmlparser.NodeFilter[])`

### AndFilter

    public AndFilter(NodeFilter left,
                     NodeFilter right)

  Creates an AndFilter that accepts nodes acceptable to both filters.

  Parameters:
    `left` - One filter.
    `right` - The other filter.

### AndFilter

    public AndFilter(NodeFilter[] predicates)

  Creates an AndFilter that accepts nodes acceptable to all given filters.

  Parameters:
    `predicates` - The list of filters.

Method Detail

### getPredicates

    public NodeFilter[] getPredicates()

  Get the predicates used by this AndFilter.

  Returns:
    The predicates currently in use.

### setPredicates

    public void setPredicates(NodeFilter[] predicates)

  Set the predicates for this AndFilter.

  Parameters:
    `predicates` - The list of predidcates to use in `accept(org.htmlparser.Node)`.

### accept

    public boolean accept(Node node)

  Accept nodes that are acceptable to all of its predicate filters.

  Specified by:
    `accept` in interface `NodeFilter`
  Parameters:
    `node` - The node to check.
  Returns:
    `true` if all the predicate filters find the node is acceptable, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |